## ros-eloquent-plansys2-executor 0.0.17

=== CMakeLists.txt ===
project(plansys2_executor)

cmake_minimum_required(VERSION 3.5)

find_package(Threads REQUIRED)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(rclcpp_cascade_lifecycle REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(plansys2_pddl_parser REQUIRED)
find_package(plansys2_msgs REQUIRED)
find_package(plansys2_domain_expert REQUIRED)
find_package(plansys2_problem_expert REQUIRED)
find_package(plansys2_planner REQUIRED)
find_package(behaviortree_cpp_v3 REQUIRED)

set(dependencies
    rclcpp
    rclcpp_lifecycle
    lifecycle_msgs
    rclcpp_cascade_lifecycle
    rclcpp_action
    plansys2_pddl_parser
    ament_index_cpp
    plansys2_msgs
    plansys2_domain_expert
    plansys2_problem_expert
    plansys2_planner
    behaviortree_cpp_v3
)

include_directories(include)

set(EXECUTOR_SOURCES
  src/plansys2_executor/ExecutorClient.cpp
  src/plansys2_executor/ActionExecutor.cpp
  src/plansys2_executor/ActionBTExecutorClient.cpp
  src/plansys2_executor/ActionExecutorClient.cpp
  src/plansys2_executor/ExecutorNode.cpp
)


add_library(${PROJECT_NAME} SHARED ${EXECUTOR_SOURCES})
ament_target_dependencies(${PROJECT_NAME} ${dependencies})

add_executable(executor_node
  src/executor_node.cpp
)
ament_target_dependencies(executor_node ${dependencies})
target_link_libraries(executor_node ${PROJECT_NAME})

install(DIRECTORY include/
  DESTINATION include/
)

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})

install(TARGETS
  ${PROJECT_NAME}
  executor_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(test_msgs REQUIRED)
  find_package(geometry_msgs REQUIRED)

  add_subdirectory(test)
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(${dependencies})

ament_package()

=== test/CMakeLists.txt ===
set(TEST_PDDL_DIR ${CMAKE_CURRENT_SOURCE_DIR}/pddl)
set(TEST_LAUNCH_DIR ${CMAKE_CURRENT_SOURCE_DIR}/test_launch_files)

install(DIRECTORY
  ${TEST_PDDL_DIR}
  DESTINATION share/${PROJECT_NAME}
)

add_subdirectory(unit)
#add_subdirectory(integration)

=== test/unit/CMakeLists.txt ===
ament_add_gtest(executor_test executor_test.cpp)
target_link_libraries(executor_test ${PROJECT_NAME})

ament_add_gtest(executor_client_test
  executor_client_test.cpp
  behavior_tree/OpenGripper.cpp
  behavior_tree/CloseGripper.cpp
  behavior_tree/Move.cpp
  behavior_tree/RepeatServer.cpp
)
ament_target_dependencies(executor_client_test ${dependencies} test_msgs)
target_link_libraries(executor_client_test ${PROJECT_NAME})

install(FILES
  behavior_tree/assemble.xml
  behavior_tree/transport.xml
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-eloquent-plansys2-executor (0.0.17-1bionic) bionic; urgency=high

  * Adjust calls to BT API
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.16-1bionic) bionic; urgency=high

  * Merge pull request #28 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/28> from mjcarroll/remove_boost_optional
    [eloquent] Remove boost::optional
  * Remove boost::optional and fix build
  * Contributors: Francisco Martín Rico, Michael Carroll

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.15-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 09 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.14-1bionic) bionic; urgency=high

  * Merge pull request #26 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/26> from mjcarroll/reduce_deps
    [Eloquent] Reduce unnecessary dependencies
  * Prune test_dependencies
  * Remove CMAKE_BUILD_TYPE
  * Contributors: Francisco Martín Rico, Michael Carroll

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.13-1bionic) bionic; urgency=high

  * Add Threads to cmake. RELEASE build type
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 05 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.12-1bionic) bionic; urgency=high

  * Add dependencies for tests
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 26 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.11-1bionic) bionic; urgency=high

  * Changes in BTActionNode
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 25 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.10-1bionic) bionic; urgency=high

  * Upgrade to behavior_tree_v3 3.5.1
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 19 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.9-1bionic) bionic; urgency=high

  * Fix Boost dependency
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 06 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.8-1bionic) bionic; urgency=high

  * Boost:optional
  * Support for BT actions
  * Add BT support
  * Contributors: Francisco Martin Rico, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 26 Jun 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.7-1bionic) bionic; urgency=high

  * ActionExecutorClient is cascade_lifecycle
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 26 Mar 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.6-1bionic) bionic; urgency=high

  * Run in separate namespaces. Monolothic node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 23 Mar 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.5-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 12 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.4-1bionic) bionic; urgency=high

  * Adding missing action dependencies
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.3-1bionic) bionic; urgency=high

  * Add popf dependency
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.2-1bionic) bionic; urgency=high

  * Merge pull request #16 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/16> from IntelligentRoboticsLabs/pddl_parser_rename
    Rename pddl_parser
  * Rename pddl_parser
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Merge pull request #15 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/15> from IntelligentRoboticsLabs/example_rename
    Rename example. Small bug in timeouts
  * Linting
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Rename example. Small bug in timeouts
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Merge pull request #12 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/12> from IntelligentRoboticsLabs/actions_composition
    Define rate dynamically
  * Define rate dynamically
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Packages.xml description
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Adding documentation
    Signed-off-by: Francisco Martin Rico <mailto:fmartin@gsyc.urjc.es>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * onActivate and onFinished methods for Action Clients
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First functional version complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Execute actions independiently. Example
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Change to lowercasegit
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Executor initial version


=== debian/control ===
Source: ros-eloquent-plansys2-executor
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-program-options-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-index-cpp, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-behaviortree-cpp-v3, ros-eloquent-geometry-msgs, ros-eloquent-lifecycle-msgs, ros-eloquent-plansys2-domain-expert, ros-eloquent-plansys2-msgs, ros-eloquent-plansys2-pddl-parser, ros-eloquent-plansys2-planner, ros-eloquent-plansys2-problem-expert, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclcpp-cascade-lifecycle, ros-eloquent-rclcpp-lifecycle, ros-eloquent-test-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-plansys2-executor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-index-cpp, ros-eloquent-behaviortree-cpp-v3, ros-eloquent-lifecycle-msgs, ros-eloquent-plansys2-domain-expert, ros-eloquent-plansys2-msgs, ros-eloquent-plansys2-pddl-parser, ros-eloquent-plansys2-planner, ros-eloquent-plansys2-problem-expert, ros-eloquent-popf, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclcpp-cascade-lifecycle, ros-eloquent-rclcpp-lifecycle, ros-eloquent-ros-workspace
Description: This package contains the Executor module for the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-plansys2-executor//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
